Subject: [tsvwg] I-D Action: draft-ietf-tsvwg-ecn-experimentation-08.txt

From: [email-masked]
Date: Mon, 13 Nov 2017 19:33:40 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Transport Area Working Group WG of the IETF.

        Title           : Relaxing Restrictions on Explicit Congestion Notification (ECN) Experimentation
        Author          : David Black
	Filename        : draft-ietf-tsvwg-ecn-experimentation-08.txt
	Pages           : 21
	Date            : 2017-11-13

Abstract:
   This memo updates RFC 3168, which specifies Explicit Congestion
   Notification (ECN) as an alternative to packet drops for indicating
   network congestion to endpoints.  It relaxes restrictions in RFC 3168
   that hinder experimentation towards benefits beyond just removal of
   loss.  This memo summarizes the anticipated areas of experimentation
   and updates RFC 3168 to enable experimentation in these areas.  An
   Experimental RFC in the IETF document stream is required to take
   advantage of any of these enabling updates.  In addition, this memo
   makes related updates to the ECN specifications for RTP in RFC 6679
   and for DCCP in RFC 4341, RFC 4342 and RFC 5622.  This memo also
   records the conclusion of the ECN nonce experiment in RFC 3540, and
   provides the rationale for reclassification of RFC 3540 as Historic;
   this reclassification enables new experimental use of the ECT(1)
   codepoint.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-tsvwg-ecn-experimentation/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-tsvwg-ecn-experimentation-08
https://datatracker.ietf.org/doc/html/draft-ietf-tsvwg-ecn-experimentation-08

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-tsvwg-ecn-experimentation-08

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Black, David" <[email-masked]>
Date: Tue, 14 Nov 2017 03:58:14 +0000

This is the result of Bob and I getting to agreement on all five remaining issues.  The major changes are to section 2.2, where the resolutions to issues [B]and [C] can be found in items 2 and 3, as well as in the new name of the section.  I encourage people to read and review section 2.2 in its entirety.  As for the other three issues ...

Issue [A] was an editorial change in the Section 2 description of Congestion Response Differences experimentation - the new (-08) text is:

      the proposal in the latter draft
      couples the sender congestion response change to Congestion
      Marking Differences functionality (see next paragraph).

The old (-07) text used "changes" instead of "functionality."

Issue [D] concerned whether to retain an ECN-nonce-related non-normative paragraph in RFC 3168.  This will be handled by copying the RFC 3168 text that is desired (it turns out that more than one paragraph is involved) into the L4S ID draft and editing from there.

Issue [E] was resolved by basing this sentence (in Section 2 and Section 4.1) closely on the ECN alternative backoff draft in TCPM:

      An ECN congestion indication communicates a higher likelihood than a dropped packet that a short queue exists at the network bottleneck node.

In particular, I don't care to admit how much time and email bandwidth was spent on the difference between "short" and "shorter" in this sentence ;-).

Spencer will hold off on sending this -08 version to the RFC Editor so that people have time to look at what's changed from -07.

Thanks, --David

> -----Original Message-----
> From: I-D-Announce [mailto:[email-masked]] On Behalf Of
> [email-masked]
> Sent: Monday, November 13, 2017 10:34 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: I-D Action: draft-ietf-tsvwg-ecn-experimentation-08.txt
> 
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt